Subject: Re: bug#19494: 25.0.50; infinite loop in readable_event on master branch

From: Noah Friedman <[email-masked]>
Date: Tue, 20 Jul 2021 01:47:34 -0700 (PDT)

I'll have to go dig around and get back to you; I've forgotten the context and what I might have done about it.

*From: *Lars Ingebrigtsen <[email-masked]>
*To: *Noah Friedman <[email-masked]>
*CC: [email-masked]; [email-masked]
*Date: *Jul 13, 2021 11:06:36
*Subject: *Re: bug#19494: 25.0.50; infinite loop in readable_event on master branch

> Noah Friedman <[email-masked]> writes:
> 
>>> Why do you need that code, and in a timer on top of that?  It looks
>>> strangely, and probably papers over some bug, either one that existed
>>> in the past or maybe even an existing one.  If that bug still exists,
>>> a bug report will be appreciated.
>> 
>> It's very old code, circa 1995.  Since it predates the v21 redisplay engine
>> rewrite, I have no idea if it's still necessary; I'm testing that now.
> 
> This was six years ago -- are you still seeing this issue in more recent
> Emacs versions?
>